Package org.kie.internal.jaxb

## Class StringKeyObjectValueMap

- java.lang.Object
- - org.kie.internal.jaxb.StringKeyObjectValueMap

- All Implemented Interfaces:
    `java.util.Map<java.lang.String,​java.lang.Object>`

      public class StringKeyObjectValueMap
      extends java.lang.Object
      implements java.util.Map<java.lang.String,​java.lang.Object>

  This implements `Map` in order to fool JSON..

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<StringKeyObjectValueEntry>` | `entries` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringKeyObjectValueMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEntry​(StringKeyObjectValueEntry newEntry)` |
    `void` | `clear()` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.Object>>` | `entrySet()` |
    `java.lang.Object` | `get​(java.lang.Object key)` |
    `boolean` | `isEmpty()` |
    `java.util.Set<java.lang.String>` | `keySet()` |
    `java.lang.Object` | `put​(java.lang.String key, java.lang.Object value)` |
    `void` | `putAll​(java.util.Map<? extends java.lang.String,​? extends java.lang.Object> m)` |
    `java.lang.Object` | `remove​(java.lang.Object key)` |
    `int` | `size()` |
    `java.util.Collection<java.lang.Object>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Field Detail

    - #### entries

          public java.util.List<StringKeyObjectValueEntry> entries

  - ### Constructor Detail

    - #### StringKeyObjectValueMap

          public StringKeyObjectValueMap()

  - ### Method Detail

    - #### addEntry

          public void addEntry​(StringKeyObjectValueEntry newEntry)

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### get

          public java.lang.Object get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### put

          public java.lang.Object put​(java.lang.String key,
                                      java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### remove

          public java.lang.Object remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### putAll

          public void putAll​(java.util.Map<? extends java.lang.String,​? extends java.lang.Object> m)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### keySet

          public java.util.Set<java.lang.String> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### values

          public java.util.Collection<java.lang.Object> values()

      Specified by:
        `values` in interface `java.util.Map<java.lang.String,​java.lang.Object>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.Object>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,​java.lang.Object>`